#include <bnb/glsl.vert>

BNB_LAYOUT_LOCATION(0)
BNB_IN vec2 attrib_pos;

BNB_OUT(0)
vec2 var_uv;

BNB_OUT(1)
vec2 var_glare_uv;

void main()
{
    gl_Position = vec4(attrib_pos, 0.f, 1.f);

    var_uv = attrib_pos * 0.5f + 0.5f;

    var_glare_uv = var_uv;
    mat3 transform = mat3(lips_glare_nn_transform[0].xyz, lips_glare_nn_transform[1].xyz, lips_glare_nn_transform[2].xyz);
    // var_glare_uv = vec2(vec3(var_glare_uv, 1.) * transform);

    var_glare_uv.y = 1.f - var_glare_uv.y;

#ifdef BNB_VK_1
    var_uv.y = 1.f - var_uv.y;
#endif
}
